wood burning stoves*
The moose likes BEA/Weblogic and the fly likes using saaj 1.2 with weblogic 8.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » BEA/Weblogic
Bookmark "using saaj 1.2 with weblogic 8.1 " Watch "using saaj 1.2 with weblogic 8.1 " New topic
Author

using saaj 1.2 with weblogic 8.1

Rashmi Tambe
Ranch Hand

Joined: Aug 07, 2001
Posts: 418
according to This link, weblogic 8.1 implements SAAJ 1.1 version. How can i use SAAJ 1.2 with weblogic 8.1?

I removed webservices.jar from startweblogic.bat script. then i put saaj-api.jar and saaj-impl.jar (from JWSDP 1.4) in app server's classpath. Thirdly, i deployed an EJB that uses SAAJ 1.2 . However, I am getting following exception which shows that the bean is still using weblogic's implementation of SAAJ i.e. version 1.1.


java.lang.IllegalArgumentException: endpoint should be String or URL
at weblogic.webservice.core.soap.SOAPConnectionImpl.call(SOAPConnectionImpl.java:43)



how can i get rid of this and use SOAPConnection from saaj-impl.jar library??? Even after removing webservices.jar from the classpath, weblogic seems to load it and some how it is used.

I came across a prefer-web-inf-classes element that can be set in weblogic.xml while deploying web aplication. Setting this element to True subverts the classloader delegation model so that class definitions from the Web application are loaded in preference to class definitions in higher-level classloaders. This allows a Web application to use its own version of a third-party class. However, such facility seems to be unavailable for an ear deployment of EJB.

Can anybody help???
Rashmi Tambe
Ranch Hand

Joined: Aug 07, 2001
Posts: 418
Can anybody help please???
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: using saaj 1.2 with weblogic 8.1